Package com.sun.jna.platform.win32

# Class WinDef.CHARByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.WinDef.CHARByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

public static class WinDef.CHARByReference extends ByReference
The Class CHARByReference.

## Constructor Summary

Constructors
Constructor
Description
`CHARByReference()`
Instantiates a new CHAR by reference.
`CHARByReference(WinDef.CHAR value)`
Instantiates a new CHAR by reference.

## Method Summary

Modifier and Type
Method
Description
`WinDef.CHAR`
`getValue()`
Gets the value.
`void`
`setValue(WinDef.CHAR value)`
Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CHARByReference

public CHARByReference()
Instantiates a new CHAR by reference.

### CHARByReference

public CHARByReference(WinDef.CHAR value)
Instantiates a new CHAR by reference.

Parameters:
  `value` - the value

## Method Details

### setValue

public void setValue(WinDef.CHAR value)
Sets the value.

Parameters:
  `value` - the new value

### getValue

public WinDef.CHAR getValue()
Gets the value.

Returns:
  the value